Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 1860)
+++ .hgsubstate	(revision 1742)
@@ -1,1 +1,1 @@
-d56b02c87260d4e54872c54fba979e03c0b5422b inc/libs/clearbricks
+33139a996922b7a21b658961f8052c869bea60a1 inc/libs/clearbricks
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 1848)
+++ admin/blog_pref.php	(revision 1746)
@@ -394,5 +394,5 @@
 	'</p>'.
 
-	'<p><label for="note_title_tag">'.__('HTML tag for the title of the notes on the blog:').'</label>'.
+	'<p><label for="note_title_tag">'.__('Note title HTML tag:').'</label>'.
 	form::combo('note_title_tag',$note_title_tag_combo,$blog_settings->system->note_title_tag).
 	'</p>'.
@@ -403,5 +403,5 @@
 
 	echo
-		'<p class="form-note info">'.__('XML/RPC interface allows you to edit your blog with an external client.').'</p>';	
+		'<p class="form-note">'.__('XML/RPC interface allows you to edit your blog with an external client.').'</p>';	
 
 	if ($blog_settings->system->enable_xmlrpc) {
@@ -509,33 +509,33 @@
 	'<div class="col">'.
 	'<h5>'.__('Generated image sizes (in pixels)').'</h5>'.
-	'<p class="field"><label for="media_img_t_size">Thumbnail</label> '.
-	form::field('media_img_t_size',3,3,$blog_settings->system->media_img_t_size).'</p>'.
-	
-	'<p class="field"><label for="media_img_s_size">Small</label> '.
-	form::field('media_img_s_size',3,3,$blog_settings->system->media_img_s_size).'</p>'.
-	
-	'<p class="field"><label for="media_img_m_size">Medium</label> '.
-	form::field('media_img_m_size',3,3,$blog_settings->system->media_img_m_size).'</p>'.
-	'</div>'.
-	
-	'<div class="col">'.
-	'<h5>'.__('Default image insertion attributes').'</h5>'.
-	'<p class="vertical-separator"><label for="media_img_title_pattern">'.__('Inserted image title').'</label>'.
-	form::combo('media_img_title_pattern',$img_title_combo,html::escapeHTML($blog_settings->system->media_img_title_pattern)).' '.
-	'<label for="media_img_use_dto_first" class="classic">'.
+	'<p class="field"><label for="media_img_t_size">'.__('Thumbnails:').' '.
+	form::field('media_img_t_size',3,3,$blog_settings->system->media_img_t_size).'</label></p>'.
+	
+	'<p class="field"><label for="media_img_s_size">'.__('Small:').' '.
+	form::field('media_img_s_size',3,3,$blog_settings->system->media_img_s_size).'</label></p>'.
+	
+	'<p class="field"><label for="media_img_m_size">'.__('Medium:').' '.
+	form::field('media_img_m_size',3,3,$blog_settings->system->media_img_m_size).'</label></p>'.
+	'</div>'.
+	
+	'<div class="col">'.
+	'<h5><label for="media_img_title_pattern">'.__('Inserted image title').'</label></h5>'.
+	'<p>'.__('This defines image tag title when you insert it in a post from the media manager. It is retrieved from the picture\'s metadata.').'</p>'.
+	'<p>'.form::combo('media_img_title_pattern',$img_title_combo,html::escapeHTML($blog_settings->system->media_img_title_pattern)).'</p>'.
+	'<p><label for="media_img_use_dto_first" class="classic">'.
 	form::checkbox('media_img_use_dto_first','1',$blog_settings->system->media_img_use_dto_first).
 	__('Use original media date if possible').'</label></p>'.
-	'<p class="form-note info">'.__('It is retrieved from the picture\'s metadata.').'</p>'.
-
-	'<p class="field vertical-separator"><label for="media_img_default_size">'.__('Size of inserted image:').'</label>'.
+
+	'<h5>'.__('Default image insertion attributes').'</h5>'.
+	'<p><label for="media_img_default_size">'.__('Image size:').'</label>'.
 	form::combo('media_img_default_size',$img_default_size_combo,
 		(html::escapeHTML($blog_settings->system->media_img_default_size) != '' ? html::escapeHTML($blog_settings->system->media_img_default_size) : 'm')).
 	'</p>'.
-	'<p class="field"><label for="media_img_default_alignment">'.__('Image alignment:').'</label>'.
+	'<p><label for="media_img_default_alignment">'.__('Image alignment:').'</label>'.
 	form::combo('media_img_default_alignment',$img_default_alignment_combo,html::escapeHTML($blog_settings->system->media_img_default_alignment)).
 	'</p>'.
-	'<p><label for="media_img_default_link">'.
+	'<p><label for="media_img_default_link" class="classic">'.
 	form::checkbox('media_img_default_link','1',$blog_settings->system->media_img_default_link).
-	__('Insert a link to the original image').'</label></p>'.
+	__('As a link to original image').'</label></p>'.
 	'</div>'.
 	'</div>'.
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 1905)
+++ admin/comments.php	(revision 1719)
@@ -131,12 +131,21 @@
 $combo_action = array();
 $default = '';
-if ($core->auth->check('delete,contentadmin',$core->blog->id) && $status == -2)
-{
-	$default = 'delete';
-}
-
-$comments_actions_page = new dcCommentsActionsPage($core,'comments.php');
-
-$comments_actions_page->process();
+if ($core->auth->check('publish,contentadmin',$core->blog->id))
+{
+	$combo_action[__('Publish')] = 'publish';
+	$combo_action[__('Unpublish')] = 'unpublish';
+	$combo_action[__('Mark as pending')] = 'pending';
+	$combo_action[__('Mark as junk')] = 'junk';
+}
+if ($core->auth->check('delete,contentadmin',$core->blog->id))
+{
+	$combo_action[__('Delete')] = 'delete';
+	if ($status == -2) {
+		$default = 'delete';
+	}
+}
+
+# --BEHAVIOR-- adminCommentsActionsCombo
+$core->callBehavior('adminCommentsActionsCombo',array(&$combo_action));
 
 /* Get comments
@@ -156,4 +165,6 @@
 	$starting_script .= dcPage::jsLoad('js/filter-controls.js');
 }
+# --BEHAVIOR-- adminCommentsHeaders
+$starting_script .= $core->callBehavior('adminCommentsHeaders');
 
 dcPage::open(__('Comments and trackbacks'),$starting_script,
@@ -164,9 +175,4 @@
 		))
 );
-if (!empty($_GET['upd'])) {
-	dcPage::success(__('Selected comments have been successfully updated.'));
-} elseif (!empty($_GET['del'])) {
-	dcPage::success(__('Selected comments have been successfully deleted.'));
-}
 
 if (!$core->error->flag())
@@ -248,5 +254,5 @@
 	# Show comments
 	$comment_list->display($page,$nb_per_page,
-	'<form action="comments.php" method="post" id="form-comments">'.
+	'<form action="comments_actions.php" method="post" id="form-comments">'.
 	
 	'%s'.
@@ -256,5 +262,5 @@
 	
 	'<p class="col right"><label for="action" class="classic">'.__('Selected comments action:').'</label> '.
-	form::combo('action',$comments_actions_page->getCombo(),$default,'','','','title="'.__('Actions').'"').
+	form::combo('action',$combo_action,$default,'','','','title="'.__('Actions').'"').
 	$core->formNonce().
 	'<input type="submit" value="'.__('ok').'" /></p>'.
Index: admin/comments_actions.php
===================================================================
--- admin/comments_actions.php	(revision 1905)
+++ admin/comments_actions.php	(revision 1474)
@@ -11,14 +11,132 @@
 # -- END LICENSE BLOCK -----------------------------------------
 
-/* ### THIS FILE IS DEPRECATED 					### */
-/* ### IT IS ONLY USED FOR PLUGINS COMPATIBILITY ### */
-
 require dirname(__FILE__).'/../inc/admin/prepend.php';
 
 dcPage::check('usage,contentadmin');
 
-$comments_actions_page = new dcCommentsActionsPage($core,'posts.php');
+$params = array();
+$redir = 'comments.php';
 
-$comments_actions_page->process();
+if (!empty($_POST['action']) && !empty($_POST['comments']))
+{
+	$comments = $_POST['comments'];
+	$action = $_POST['action'];
+	
+	if (isset($_POST['redir']) && strpos($_POST['redir'],'://') === false)
+	{
+		$redir = $_POST['redir'];
+	}
+	else
+	{
+		$redir =
+		'comments.php?type='.$_POST['type'].
+		'&author='.$_POST['author'].
+		'&status='.$_POST['status'].
+		'&sortby='.$_POST['sortby'].
+		'&ip='.$_POST['ip'].
+		'&order='.$_POST['order'].
+		'&page='.$_POST['page'].
+		'&nb='.(integer) $_POST['nb'];
+	}
+	
+	foreach ($comments as $k => $v) {
+		$comments[$k] = (integer) $v;
+	}
+	
+	$params['sql'] = 'AND C.comment_id IN('.implode(',',$comments).') ';
+	
+	if (!isset($_POST['full_content']) || empty($_POST['full_content'])) {
+		$params['no_content'] = true;
+	}
+	
+	$co = $core->blog->getComments($params);
+	
+	$co_ids = array();
+	while ($co->fetch())	{
+		$co_ids[] = $co->comment_id;
+	}
+	
+	# --BEHAVIOR-- adminCommentsActions
+	$core->callBehavior('adminCommentsActions',$core,$co,$action,$redir);
+	
+	if (preg_match('/^(publish|unpublish|pending|junk)$/',$action))
+	{
+		switch ($action) {
+			case 'unpublish' : $status = 0; break;
+			case 'pending' : $status = -1; break;
+			case 'junk' : $status = -2; break;
+			default : $status = 1; break;
+		}
+		
+		try {
+			$core->blog->updCommentsStatus($co_ids,$status);
+		} catch (Exception $e) {
+			$core->error->add($e->getMessage());
+		}
+		
+		if (!$core->error->flag()) {
+			http::redirect($redir);
+		}
+	}
+	elseif ($action == 'delete')
+	{
+		try {
+			// Backward compatibility
+			foreach($co_ids as $comment_id)
+			{
+				# --BEHAVIOR-- adminBeforeCommentDelete
+				$core->callBehavior('adminBeforeCommentDelete',$comment_id);				
+			}
+			
+			# --BEHAVIOR-- adminBeforeCommentsDelete
+			$core->callBehavior('adminBeforeCommentsDelete',$co_ids);
+			
+			$core->blog->delComments($co_ids);
+		} catch (Exception $e) {
+			$core->error->add($e->getMessage());
+		}
+		
+		if (!$core->error->flag()) {
+			http::redirect($redir);
+		}
+	}
+}
 
+/* DISPLAY
+-------------------------------------------------------- */
+dcPage::open(__('Comments'));
+
+if (!isset($action)) {
+	dcPage::close();
+	exit;
+}
+
+$hidden_fields = '';
+while ($co->fetch()) {
+	$hidden_fields .= form::hidden(array('comments[]'),$co->comment_id);
+} 
+
+if (isset($_POST['redir']) && strpos($_POST['redir'],'://') === false)
+{
+	$hidden_fields .= form::hidden(array('redir'),html::escapeURL($_POST['redir']));
+}
+else
+{
+	$hidden_fields .=
+	form::hidden(array('type'),$_POST['type']).
+	form::hidden(array('author'),$_POST['author']).
+	form::hidden(array('status'),$_POST['status']).
+	form::hidden(array('sortby'),$_POST['sortby']).
+	form::hidden(array('ip'),$_POST['ip']).
+	form::hidden(array('order'),$_POST['order']).
+	form::hidden(array('page'),$_POST['page']).
+	form::hidden(array('nb'),$_POST['nb']);
+}
+
+# --BEHAVIOR-- adminCommentsActionsContent
+$core->callBehavior('adminCommentsActionsContent',$core,$action,$hidden_fields);
+
+echo '<p><a class="back" href="'.str_replace('&','&amp;',$redir).'">'.__('Back to comments list').'</a></p>';
+
+dcPage::close();
 ?>
Index: admin/help.php
===================================================================
--- admin/help.php	(revision 1839)
+++ admin/help.php	(revision 1799)
@@ -90,6 +90,5 @@
 dcPage::open(__('Global help'),
 	# --BEHAVIOR-- adminPostHeaders
-	$core->callBehavior('adminPostHeaders').
-	dcPage::jsPageTabs('first-step'),
+	$core->callBehavior('adminPostHeaders'),
 	$breadcrumb
 );
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 1811)
+++ admin/index.php	(revision 1788)
@@ -221,7 +221,7 @@
 		'<div class="dc-update"><h3>'.sprintf(__('Dotclear %s is available!'),$new_v).'</h3> '.
 		'<p><a class="button submit" href="update.php">'.sprintf(__('Upgrade now'),$new_v).'</a> '.
-		'<a class="button" href="update.php?hide_msg=1">'.__('Remind me later').'</a>'.
+		'<a href="update.php?hide_msg=1">'.__('Remind me later').'</a>'.
 		($version_info ? ' </p>'.
-		'<p class="updt-info"><a href="'.$version_info.'">'.__('Information about this version').'</a>' : '').'</p>'.
+		'<p><a href="'.$version_info.'" class="updt-info">'.__('Information about this version').'</a>' : '').'</p>'.
 		'</div>';
 	}
Index: admin/js/_media.js
===================================================================
--- admin/js/_media.js	(revision 1852)
+++ admin/js/_media.js	(revision 1782)
@@ -25,5 +25,5 @@
 			}
 			
-			$('.button.choose_files').click(function(e) {
+			$('.button.add').click(function(e) {
 				// Use the native click() of the file input.
 				$('#upfile').click();
Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 1832)
+++ admin/js/_post.js	(revision 1760)
@@ -90,7 +90,4 @@
 				$(this).val(last_post_format);
 			}
-			
-			$('.format_control > *').addClass('hide');
-			$('.format_control:not(.control_no_'+$(this).val()+') > *').removeClass('hide');
 		});
 
@@ -120,68 +117,4 @@
 			return window.confirm(dotclear.msg.confirm_delete_post);
 		});
-
-		// Markup validator
-		var v = $('<div class="format_control"><p><a id="a-validator"></a></p><div/>').get(0);
-		$('.format_control').before(v);
-		var a = $('#a-validator').get(0);
-		a.href = '#';
-		a.className = 'button ';
-		$(a).click(function() {
-			
-			excerpt_content = $('#post_excerpt').css('display') != 'none' ? $('#post_excerpt').val() : $('#excerpt-area iframe').contents().find('body').html();
-			post_content    = $('#post_content').css('display') != 'none' ? $('#post_content').val() : $('#content-area iframe').contents().find('body').html();
-			
-			var params = {
-				xd_check: dotclear.nonce,
-				f: 'validatePostMarkup',
-				excerpt: excerpt_content,
-				content: post_content,
-				format: $('#post_format').get(0).value,
-				lang: $('#post_lang').get(0).value
-			};
-
-			$.post('services.php',params,function(data) {
-				if ($(data).find('rsp').attr('status') != 'ok') {
-					alert($(data).find('rsp message').text());
-					return false;
-				}
-					
-				$('.message, .success, .error, .warning-msg').remove();
-
-				if ($(data).find('valid').text() == 1) {
-					var p = document.createElement('p');
-					p.id = 'markup-validator';
-					
-					$(p).addClass('success');
-					$(p).text(dotclear.msg.xhtml_valid);
-					$('#entry-content h3').after(p);
-					$(p).backgroundFade({sColor:'#9BCA1C',eColor:'#bee74b',steps:20});
-				} else {
-					var div = document.createElement('div');
-					div.id = 'markup-validator';
-					
-					$(div).addClass('error');
-					$(div).html('<p><strong>' + dotclear.msg.xhtml_not_valid + '</strong></p>' + $(data).find('errors').text());
-					$('#entry-content h3').after(div);
-					$(div).backgroundFade({sColor:'#ffdec8',eColor:'#ffbaba',steps:20});
-				}
-				
-				if ( $('#post_excerpt').text() != excerpt_content || $('#post_content').text() != post_content ) {
-					var pn = document.createElement('p');
-					$(pn).addClass('warning-msg');
-					$(pn).text(dotclear.msg.warning_validate_no_save_content);
-					$('#entry-content h3').after(pn);
-				}
-
-				return false;
-			});
-
-			return false;
-		});
-
-		a.appendChild(document.createTextNode(dotclear.msg.xhtml_validator));
-		
-		$('.format_control > *').addClass('hide');
-		$('.format_control:not(.control_no_'+last_post_format+') > *').removeClass('hide');
 
 		// Hide some fields
@@ -251,4 +184,65 @@
 		});
 
+		// Markup validator
+		var h = document.createElement('h4');
+		var a = document.createElement('a');
+		a.href = '#';
+		a.className = 'button';
+		$(a).click(function() {
+			var params = {
+				xd_check: dotclear.nonce,
+				f: 'validatePostMarkup',
+				excerpt: $('#post_excerpt').text(),
+				content: $('#post_content').text(),
+				format: $('#post_format').get(0).value,
+				lang: $('#post_lang').get(0).value
+			};
+
+			$.post('services.php',params,function(data) {
+				if ($(data).find('rsp').attr('status') != 'ok') {
+					alert($(data).find('rsp message').text());
+					return false;
+				}
+
+				if ($(data).find('valid').text() == 1) {
+					var p = document.createElement('p');
+					p.id = 'markup-validator';
+
+					if ($('#markup-validator').length > 0) {
+						$('#markup-validator').remove();
+					}
+
+					$(p).addClass('message');
+					$(p).text(dotclear.msg.xhtml_valid);
+					$(p).insertAfter(h);
+					$(p).backgroundFade({sColor:'#676e78',eColor:'#ffcc00',steps:50},function() {
+							$(this).backgroundFade({sColor:'#ffcc00',eColor:'#676e78'});
+					});
+				} else {
+					var div = document.createElement('div');
+					div.id = 'markup-validator';
+
+					if ($('#markup-validator').length > 0) {
+						$('#markup-validator').remove();
+					}
+
+					$(div).addClass('error');
+					$(div).html('<p><strong>' + dotclear.msg.xhtml_not_valid + '</strong></p>' + $(data).find('errors').text());
+					$(div).insertAfter(h);
+					$(div).backgroundFade({sColor:'#ffffff',eColor:'#FFBABA',steps:50},function() {
+							$(this).backgroundFade({sColor:'#ffbaba',eColor:'#ffffff'});
+					});
+				}
+
+				return false;
+			});
+
+			return false;
+		});
+
+		a.appendChild(document.createTextNode(dotclear.msg.xhtml_validator));
+		h.appendChild(a);
+		$(h).appendTo('#entry-content');
+
 		// Check unsaved changes before XHTML conversion
 		var excerpt = $('#post_excerpt').val();
Index: admin/js/_posts_actions.js
===================================================================
--- admin/js/_posts_actions.js	(revision 1806)
+++ admin/js/_posts_actions.js	(revision 1638)
@@ -1,12 +1,9 @@
 $(function() {
-	new_auth_id = $('#new_auth_id');
-	if (new_auth_id.length) {
-		new_auth_id.autocomplete(usersList,
-		{
-			delay: 1000,
-			matchSubset: true,
-			matchContains: true
-		});
-	}
+	$('#new_auth_id').autocomplete(usersList,
+	{
+		delay: 1000,
+		matchSubset: true,
+		matchContains: true
+	});
 	$('#new_cat').toggleWithLegend($('#new_cat').parent().children().not('#new_cat'), {
 		// no cookie on new category as we don't use this every day
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 1862)
+++ admin/js/common.js	(revision 1798)
@@ -263,15 +263,13 @@
 	},
 
-	checkboxesHelpers: function(e, target) {
+	checkboxesHelpers: function(e) {
 		$(e).append(document.createTextNode(dotclear.msg.to_select));
 		$(e).append(document.createTextNode(' '));
 
-		target = target || $(e).parents('form').find('input[type="checkbox"]');
-		
 		var a = document.createElement('a');
 		a.href='#';
 		$(a).append(document.createTextNode(dotclear.msg.select_all));
 		a.onclick = function() {
-			target.check();
+			$(this).parents('form').find('input[type="checkbox"]').check();
 			return false;
 		};
@@ -284,5 +282,5 @@
 		$(a).append(document.createTextNode(dotclear.msg.no_selection));
 		a.onclick = function() {
-			target.unCheck();
+			$(this).parents('form').find('input[type="checkbox"]').unCheck();
 			return false;
 		};
@@ -295,5 +293,5 @@
 		$(a).append(document.createTextNode(dotclear.msg.invert_sel));
 		a.onclick = function() {
-			target.toggleCheck();
+			$(this).parents('form').find('input[type="checkbox"]').toggleCheck();
 			return false;
 		};
@@ -397,33 +395,4 @@
 		return true;
 	});
-
-	// Main menu collapser
-    var objMain = $('#wrapper');
-    function showSidebar(){
-	    // Show sidebar
-        objMain.removeClass('hide-mm');
-        $.cookie('sidebar-pref',null,{expires:30});
-    }
-    function hideSidebar(){
-	    // Hide sidebar
-        objMain.addClass('hide-mm');
-        $.cookie('sidebar-pref','hide-mm',{expires:30});
-    }
-    // Sidebar separator
-    var objSeparator = $('#collapser');
-    objSeparator.click(function(e){
-        e.preventDefault();
-        if ( objMain.hasClass('hide-mm') ){
-            showSidebar();
-        }
-        else {
-            hideSidebar();
-        }
-    }).css('height', objSeparator.parent().parent().parent().outerHeight() + 'px');
-	if ( $.cookie('sidebar-pref') == 'hide-mm' ){
-		objMain.addClass('hide-mm');
-	} else {
-		objMain.removeClass('hide-mm');
-	}
-
 });
+
Index: admin/js/jsToolBar/jsToolBar.wysiwyg.js
===================================================================
--- admin/js/jsToolBar/jsToolBar.wysiwyg.js	(revision 1833)
+++ admin/js/jsToolBar/jsToolBar.wysiwyg.js	(revision 1753)
@@ -46,5 +46,4 @@
 	
 	if (mode == 'xhtml') {
-		this.wwg_mode = true;
 		this.draw(mode);
 	} else {
@@ -52,5 +51,4 @@
 			this.syncContents('iframe');
 		}
-		this.wwg_mode = false;
 		this.removeEditor();
 		this.textarea.style.display = '';
@@ -88,5 +86,5 @@
 		} else if (window.navigator.product != undefined && 
 							 window.navigator.product == 'Gecko') {
-			This.ibody.innerHTML = '<p><br _moz_editor_blogus_node="TRUE" _moz_dirty=""/></p>';
+			This.ibody.innerHTML = '<p><br _moz_editor_blogus_node="TRUE" _moz_dirty=""></p>';
 		} else {
 			var idoc = This.iwin.document;
Index: admin/js/meta-editor.js
===================================================================
--- admin/js/meta-editor.js	(revision 1819)
+++ admin/js/meta-editor.js	(revision 1741)
@@ -113,4 +113,5 @@
 	
 	addMetaDialog: function() {
+		var This = this;
 		
 		if (this.submit_button == null) {
@@ -120,13 +121,20 @@
 		}
 		
+		// View meta list
+		var a = $('<a href="#">' + this.text_choose + '</a>');
+		a.click(function() {
+			This.showMetaList(metaEditor.prototype.meta_type,$(this).parent());
+			return false;
+		});
 		if (this.text_separation != '') {
 			this.target.append($('<p></p>').addClass('form-note').append(this.text_separation.replace(/%s/,this.meta_type)));
 		}
-		
-		this.showMetaList(metaEditor.prototype.meta_type,this.target);
-		
+		this.target.append($('<p></p>').append(a));
 	},
 	
 	showMetaList: function(type,target) {
+		target.empty();
+		target.append('...');
+		target.addClass('addMeta');
 		
 		var params = {
@@ -143,11 +151,6 @@
 		
 		$.get(this.service_uri,params,function(data) {
-			
-			var pl = $('<p class="addMeta"></p>');
-			
-			$('.addMeta').remove();
-			
 			if ($(data).find('meta').length > 0) {
-				pl.empty();
+				target.empty();
 				var meta_link;
 				
@@ -162,7 +165,7 @@
 					
 					if (i>0) {
-						pl.append(', ');
+						target.append(', ');
 					}
-					pl.append(meta_link);
+					target.append(meta_link);
 				});
 				
@@ -174,25 +177,8 @@
 						return false;
 					});
-					pl.append(', ').append(a_more);
-					
-					pl.addClass('hide');
-					
-					var pa = $('<p></p>');
-					target.append(pa);
-					
-					var a = $('<a href="#" class="metaGetList">' + This.text_choose + '</a>');
-					a.click(function() {
-						$('.addMeta').removeClass('hide');
-						$('.metaGetList').remove();
-						return false;
-					});
-					
-					pa.append(a);
-				}
-				
-				target.append(pl);
-				
+					target.append(', ').append(a_more);
+				}
 			} else {
-				pl.empty();
+				target.empty();
 			}
 		});
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 1855)
+++ admin/media.php	(revision 1760)
@@ -328,18 +328,9 @@
 	
 	'<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-
-	$dgroup = '';
-	$fgroup = '';
-	for ($i=$pager->index_start, $j=0; $i<=$pager->index_end; $i++,$j++)
+	
+	for ($i=$pager->index_start, $j=0; $i<=$pager->index_end; $i++, $j++)
 	{
-		if ($items[$i]->d) {
-			$dgroup .= mediaItemLine($items[$i],$j);
-		} else {
-			$fgroup .= mediaItemLine($items[$i],$j);
-		}
-	}
-	echo 
-		($dgroup != '' ? '<div class="folders-group">'.$dgroup.'</div>' : '').
-		($fgroup != '' ? '<div class="files-group">'.$fgroup.'</div>' : '');
+		echo mediaItemLine($items[$i],$j);
+	}
 	
 	echo
@@ -370,4 +361,5 @@
 	'<h4>'.__('Add files').'</h4>'.
 	'<p>'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
+	'<p class="max-sizer form-note info">&nbsp;'.__('Maximum file size allowed:').' '.files::size(DC_MAX_UPLOAD_SIZE).'</p>'.
 	'<form id="fileupload" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data" aria-disabled="false">'.
 	'<p>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
@@ -380,9 +372,6 @@
 	echo
 	'<p><label for="upfile">'.'<span class="add-label one-file">'.__('Choose file').'</span>'.'</label>'.
-	'<button class="button choose_files">'.__('Choose files').'</button>'.
+	'<button class="button add">'.__('Choose files').'</button>'.
 	'<input type="file" id="upfile" name="upfile[]"'.($user_ui_enhanceduploader?' multiple="mutiple"':'').' data-url="'.html::escapeURL($page_url).'" /></p>';
-
-	echo
-	'<p class="max-sizer form-note">&nbsp;'.__('Maximum file size allowed:').' '.files::size(DC_MAX_UPLOAD_SIZE).'</p>';
 
 	echo
@@ -390,6 +379,4 @@
 	'<p class="one-file"><label for="upfilepriv" class="classic">'.__('Private').'</label> '.
 	form::checkbox(array('upfilepriv','upfilepriv'),1).'</p>';
-
-
 
 	if (!$user_ui_enhanceduploader) {
@@ -467,13 +454,8 @@
 	$fname = $f->basename;
 	
-	$class = 'media-item media-col-'.($i%2);
-	
 	if ($f->d) {
 		$link = html::escapeURL($page_url).'&amp;d='.html::sanitizeURL($f->relname);
 		if ($f->parent) {
 			$fname = '..';
-			$class .= ' media-folder-up';
-		} else {
-			$class .= ' media-folder';
 		}
 	} else {
@@ -482,12 +464,14 @@
 	}
 	
+	$class = 'media-item media-col-'.($i%2);
+	
 	$res =
-	'<div class="'.$class.'"><p><a class="media-icon media-link" href="'.$link.'">'.
-	'<img src="'.$f->media_icon.'" alt="" />'.$fname.'</a></p>';
-
-	$lst = '';
+	'<div class="'.$class.'"><a class="media-icon media-link" href="'.$link.'">'.
+	'<img src="'.$f->media_icon.'" alt="" /></a>'.
+	'<ul>'.
+	'<li><a class="media-link" href="'.$link.'">'.$fname.'</a></li>';
 	
 	if (!$f->d) {
-		$lst .=
+		$res .=
 		'<li>'.$f->media_title.'</li>'.
 		'<li>'.
@@ -498,9 +482,8 @@
 	}
 	
-	$act = '';
+	$res .= '<li class="media-action">&nbsp;';
 	
 	if ($post_id && !$f->d) {
-		$act .= 
-		'<form action="post_media.php" method="post">'.
+		$res .= '<form action="post_media.php" method="post">'.
 		'<input type="image" src="images/plus.png" alt="'.__('Attach this file to entry').'" '.
 		'title="'.__('Attach this file to entry').'" /> '.
@@ -513,10 +496,10 @@
 	
 	if ($popup && !$f->d) {
-		$act .= '<a href="'.$link.'"><img src="images/plus.png" alt="'.__('Insert this file into entry').'" '.
+		$res .= '<a href="'.$link.'"><img src="images/plus.png" alt="'.__('Insert this file into entry').'" '.
 		'title="'.__('Insert this file into entry').'" /></a> ';
 	}
 	
 	if ($f->del) {
-		$act .= '<a class="media-remove" '.
+		$res .= '<a class="media-remove" '.
 		'href="'.html::escapeURL($page_url).'&amp;d='.
 		rawurlencode($GLOBALS['d']).'&amp;remove='.rawurlencode($f->basename).'">'.
@@ -524,13 +507,11 @@
 	}
 	
-	$lst .= ($act != '' ? '<li class="media-action">&nbsp;'.$act.'</li>' : '');
+	$res .= '</li>';
 	
 	if ($f->type == 'audio/mpeg3') {
-		$lst .= '<li>'.dcMedia::mp3player($f->file_url,'index.php?pf=player_mp3.swf').'</li>';
-	}
-	
-	$res .=	($lst != '' ? '<ul>'.$lst.'</ul>' : '');
-
-	$res .= '</div>';
+		$res .= '<li>'.dcMedia::mp3player($f->file_url,'index.php?pf=player_mp3.swf').'</li>';
+	}
+	
+	$res .= '</ul></div>';
 	
 	return $res;
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 1853)
+++ admin/media_item.php	(revision 1605)
@@ -263,5 +263,5 @@
 		__('As a single image').'</label><br />'.
 		'<label for="insert2" class="classic">'.form::radio(array('insertion','insert2'),'link',$media_img_default_link).
-		__('As a link to the original image').'</label>'.
+		__('As a link to original image').'</label>'.
 		'</p>';
 	}
@@ -282,5 +282,5 @@
 		echo '<p>';
 		foreach ($i_align as $k => $v) {
-			echo '<label class="classic">'.
+			echo '<label for="alignment" class="classic">'.
 			form::radio(array('alignment'),$k,$v[1]).' '.$v[0].'</label><br /> ';
 		}
@@ -316,5 +316,5 @@
 		echo '<p>';
 		foreach ($i_align as $k => $v) {
-			echo '<label class="classic">'.
+			echo '<label for="alignment" class="classic">'.
 			form::radio(array('alignment'),$k,$v[1]).' '.$v[0].'</label><br /> ';
 		}
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 1831)
+++ admin/post.php	(revision 1789)
@@ -455,7 +455,7 @@
 					'<p>'.form::combo('post_format',$formaters_combo,$post_format,'maximal').
 					'</p>'.
-					'<p class="format_control control_no_xhtml">'.
-					'<a id="convert-xhtml" class="button'.($post_id && $post_format != 'wiki' ? ' hide' : '').'" href="post.php?id='.$post_id.'&amp;xconv=1">'.
-					__('Convert to XHTML').'</a></p></div>')),
+					'<p>'.($post_id && $post_format != 'xhtml' ? 
+					'<a id="convert-xhtml" class="button" href="post.php?id='.$post_id.'&amp;xconv=1">'.
+					__('Convert to XHTML').'</a>' : '').'</p></div>')),
 		'metas-box' => array(
 			'title' => __('Ordering'),
@@ -533,5 +533,5 @@
 		
 		"post_content" =>
-			'<p class="area" id="content-area"><label class="required" '.
+			'<p class="area"><label class="required" '.
 			'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
 			form::textarea('post_content',50,$core->auth->getOption('edit_size'),html::escapeHTML($post_content)).
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 1806)
+++ admin/posts.php	(revision 1792)
@@ -103,8 +103,33 @@
 
 # Actions combo box
-
-$posts_actions_page = new dcPostsActionsPage($core,'posts.php');
-
-$posts_actions_page->process();
+$combo_action = array();
+if ($core->auth->check('publish,contentadmin',$core->blog->id))
+{
+	$combo_action[__('Status')] = array(
+		__('Publish') => 'publish',
+		__('Unpublish') => 'unpublish',
+		__('Schedule') => 'schedule',
+		__('Mark as pending') => 'pending'
+	);
+}
+$combo_action[__('Mark')] = array(
+	__('Mark as selected') => 'selected',
+	__('Mark as unselected') => 'unselected'
+);
+$combo_action[__('Change')] = array(
+	__('Change category') => 'category',
+	__('Change language') => 'lang');
+if ($core->auth->check('admin',$core->blog->id))
+{
+	$combo_action[__('Change')] = array_merge($combo_action[__('Change')],
+		array(__('Change author') => 'author'));
+}
+if ($core->auth->check('delete,contentadmin',$core->blog->id))
+{
+	$combo_action[__('Delete')] = array(__('Delete') => 'delete');
+}
+
+# --BEHAVIOR-- adminPostsActionsCombo
+$core->callBehavior('adminPostsActionsCombo',array(&$combo_action));
 
 /* Get posts
@@ -279,5 +304,5 @@
 	# Show posts
 	$post_list->display($page,$nb_per_page,
-	'<form action="posts.php" method="post" id="form-entries">'.
+	'<form action="posts_actions.php" method="post" id="form-entries">'.
 	
 	'%s'.
@@ -287,5 +312,5 @@
 	
 	'<p class="col right"><label for="action" class="classic">'.__('Selected entries action:').'</label> '.
-	form::combo('action',$posts_actions_page->getCombo()).
+	form::combo('action',$combo_action).
 	'<input type="submit" value="'.__('ok').'" /></p>'.
 	form::hidden(array('user_id'),$user_id).
